<?php
require_once("DBManager.class.php");

class doc_curso{
	private $iddoc_curso;///	
	private $idcurso;
	private $iddoc;
	
	
	/////////////////constructor/////////////////
	function __construct($iddoc_curso="",$iddoc="",$idcurso=""){
             $this->setIddoc_curso($iddoc_curso);//
	   	     $this->setIdcurso($idcurso);//
		     $this->setIddoc($iddoc);/// 
        }	
	///////////////////////////////////////////
	public function Crear($vi,$vid)
	{
		$resp=false;		
		$db= new DBManager();		
		if($db->_execute("INSERT INTO doc_curso(iddoc_curso,idcurso,iddoc) VALUES(null,".$vi.",".$vid.")"))   
		{
			$resp=true;
		}
		return $resp;		
	}
	
	
	public function ListarPorDocente($v)
	{
		$vector=null;		
		$db= new DBManager();		
		$rs=$db->execute("select * from doc_curso where(iddoc LIKE CONCAT('%','".$v."','%'))");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$row=0;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) 
			{
   				$vector[$row]=array("iddoc_curso"   => $rs->fields["iddoc_curso"],
									"idcurso"         => $rs->fields["idcurso"],
									"iddoc" 	    => $rs->fields["iddoc"]);
									
                $row++;
				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
         	}			
        	return $vector;			
		}else return null;
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              						
	}
		
	public function BuscarPorCodigo($vcod)
	{
		
		$resp=false;
		$num_rows=0;//numero de filas afectada por la consulta
		$db= new DBManager();
		$rs=$db->execute("select * from doc_curso where(iddoc_curso = ".$vcod.")");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$resp=true;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) {
                // Coleccion de campos accesible mediante arrays asociativos también
	                  $this->iddoc_curso=$rs->fields["iddoc_curso"];
				      $this->idcurso=$rs->fields["idcurso"];	
					  $this->iddoc=$rs->fields["iddoc"];					 
 				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
        	}			
		}
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              
		return $resp;							
	}
	
	public function BuscarPorCodigoDoc($vcod)
	{
		$resp=false;
		$num_rows=0;//numero de filas afectada por la consulta
		$db= new DBManager();
		$rs=$db->execute("select * from doc_curso where(iddoc = ".$vcod.")");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$resp=true;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) {
                // Coleccion de campos accesible mediante arrays asociativos también
	                  $this->iddoc_curso=$rs->fields["iddoc_curso"];
				      $this->idcurso=$rs->fields["idcurso"];	
					  $this->iddoc=$rs->fields["iddoc"];	
 				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
        	}			
		}
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              
		return $resp;							
	}
	
	public function BuscarPorCursoDoc($vcur,$vdoc)
	{
		$resp=false;
		$num_rows=0;//numero de filas afectada por la consulta
		$db= new DBManager();
		$rs=$db->execute("select * from doc_curso where(idcurso=".$vcur." and iddoc = ".$vdoc.")");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$resp=true;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) {
                // Coleccion de campos accesible mediante arrays asociativos también
	                  $this->iddoc_curso=$rs->fields["iddoc_curso"];
				      $this->idcurso=$rs->fields["idcurso"];	
					  $this->iddoc=$rs->fields["iddoc"];	
 				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
        	}			
		}
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              
		return $resp;							
	}
	/*
	public function Actualizar($vi,$vid,$vidd)			
	{
		$resp=false;		
		$db= new DBManager();	
		$vf = implode("-",array_reverse(explode("-",$vf)));	
		if($db->_execute("update  doc_curso set idcurso = '".$vi."',iddoc = '".$vid."' where (iddoc_curso=".$vid.") "))//si es exitosa la consulta			   
		{
		  $resp=true; 
		}	
		return $resp;
	}
	////////////////////////////////*/
	public function ListaTotal()
	{
		$vector=null;
		$db= new DBManager();		
		$rs=$db->execute("select iddoc_curso,iddoc,idcurso from doc_curso");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$row=0;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) {
                $vector[$row]=array("iddoc_curso"   => $rs->fields["iddoc_curso"],
									"idcurso"         => $rs->fields["idcurso"],
									"iddoc" 	    => $rs->fields["iddoc"]);
								
                $row++;
				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
        	}			
        	return $vector;			
		}else return null;
		
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              						
	}
	
	public function Listar()
	{
		$vector=null;
		$db= new DBManager();		
		$rs=$db->execute("SELECT `DC`.`iddoc_curso`,`DC`.`idcurso`,`DC`.`iddoc`,`C`.`curso`,`D`.`nombres`,`D`.`apellidos` FROM `doc_curso` AS `DC` ,`curso` AS `C` ,`docente` AS `D`
						  WHERE `DC`.`idcurso` = `C`.`idcurso` AND `DC`.`iddoc` = `D`.`iddoc` ORDER BY `DC`.`iddoc_curso` DESC ");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$row=0;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) {
                $vector[$row]=array("iddoc_curso"   => $rs->fields["iddoc_curso"],
									"idcurso"         => $rs->fields["idcurso"],
									"iddoc" 	    => $rs->fields["iddoc"],
									"curso"         => $rs->fields["curso"],
									"nombres"         => $rs->fields["nombres"],
									"apellidos"         => $rs->fields["apellidos"],
									);
								
                $row++;
				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
        	}			
        	return $vector;			
		}else return null;
		
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              						
	}
	

	//////////////////////////////
	public function Eliminar($vcod)
	{
		$resp=false;		
		$db= new DBManager();		
		if($db->_execute("DELETE FROM doc_curso WHERE (iddoc_curso=".$vcod.");"))   
		{
			$resp=true;
		}
		return $resp;		
	}	
	/////////////////////////////////////////
	
	////////////////////////////////////////							
	
	public function getIddoc_curso(){ return $this->iddoc_curso;}
	public function getIdcurso(){ return $this->idcurso;}
	public function getIddoc(){ return $this->iddoc;}


			
	public function setIddoc_curso( $iddoc_curso ){ $this->iddoc_curso = $iddoc_curso;}
	public function setIdcurso( $idcurso){ $this->idcurso = $idcurso;}	
	public function setIddoc( $iddoc ){ $this->iddoc = $iddoc;}
	
}
?>
